import React from "react";
import PropTypes from "prop-types";

export default function Profile(props) {
  return (
    <svg
      style={props.style}
      className={props.className}
      width={props.width}
      height={props.height}
      viewBox="0 0 92 91"
      fill={props.fill}
      xmlns="http://www.w3.org/2000/svg"
    >
      <path
        d="M45.3447 43.835C51.433 43.835 56.7043 41.6752 61.0126 37.4137C65.3195 33.153 67.5038 27.9397 67.5038 21.9168C67.5038 15.8961 65.3202 10.6821 61.0119 6.41995C56.7036 2.15989 51.4323 0 45.3447 0C39.2556 0 33.985 2.15989 29.6775 6.42064C25.3699 10.6814 23.1855 15.8954 23.1855 21.9168C23.1855 27.9397 25.3699 33.1536 29.6775 37.4144C33.9865 41.6745 39.2578 43.835 45.3447 43.835ZM33.4902 10.1912C36.7955 6.92191 40.6728 5.33272 45.3447 5.33272C50.0158 5.33272 53.8939 6.92191 57.1998 10.1912C60.5051 13.4613 62.1125 17.2971 62.1125 21.9168C62.1125 26.5379 60.5051 30.3731 57.1998 33.6431C53.8939 36.9131 50.0158 38.5023 45.3447 38.5023C40.6742 38.5023 36.7969 36.9124 33.4902 33.6431C30.1842 30.3738 28.5769 26.5379 28.5769 21.9168C28.5769 17.2971 30.1842 13.4613 33.4902 10.1912Z"
        fill={props.fill}
      />
      <path
        d="M84.1169 69.9744C83.9927 68.2013 83.7414 66.267 83.3715 64.2245C82.9981 62.1666 82.5173 60.2213 81.9417 58.4433C81.3465 56.6055 80.5386 54.7907 79.5384 53.0515C78.5017 51.2464 77.2832 49.6746 75.9159 48.3811C74.4861 47.028 72.7355 45.9401 70.7112 45.1465C68.694 44.3571 66.4584 43.9572 64.067 43.9572C63.1279 43.9572 62.2196 44.3384 60.4655 45.468C59.386 46.1643 58.1233 46.9697 56.7139 47.8604C55.5087 48.62 53.8761 49.3316 51.8595 49.9759C49.8921 50.6056 47.8944 50.925 45.9221 50.925C43.9511 50.925 41.9535 50.6056 39.9847 49.9759C37.9702 49.3323 36.3369 48.6207 35.1338 47.8611C33.7377 46.9787 32.4743 46.1734 31.3786 45.4673C29.626 44.3377 28.7177 43.9565 27.7786 43.9565C25.3865 43.9565 23.1516 44.3571 21.135 45.1472C19.1122 45.9394 17.3609 47.0273 15.9297 48.3818C14.5624 49.676 13.3439 51.2471 12.3079 53.0515C11.3091 54.7907 10.5005 56.6048 9.90527 58.4439C9.33041 60.222 8.84961 62.1666 8.4762 64.2245C8.10559 66.2642 7.85501 68.1992 7.73077 69.9765C7.60864 71.7143 7.54688 73.5229 7.54688 75.3502C7.54688 80.1004 9.07352 83.946 12.084 86.7821C15.0573 89.5807 18.9907 90.9998 23.7756 90.9998H68.0742C72.8577 90.9998 76.7911 89.5807 79.7651 86.7821C82.7763 83.9481 84.3029 80.1011 84.3029 75.3495C84.3022 73.5159 84.2397 71.7074 84.1169 69.9744ZM76.0478 82.9185C74.0832 84.768 71.4749 85.6671 68.0735 85.6671H23.7756C20.3735 85.6671 17.7652 84.768 15.8013 82.9192C13.8745 81.105 12.9382 78.6286 12.9382 75.3502C12.9382 73.6451 12.9951 71.9615 13.1088 70.3452C13.2197 68.7595 13.4464 67.0175 13.7826 65.1666C14.1146 63.3386 14.5371 61.623 15.0397 60.0699C15.5219 58.5807 16.1796 57.1061 16.9952 55.6856C17.7736 54.3318 18.6693 53.1702 19.6575 52.2344C20.5819 51.3589 21.7471 50.6424 23.12 50.105C24.3898 49.6079 25.8167 49.3358 27.3658 49.2948C27.5547 49.3941 27.8909 49.5836 28.4355 49.9349C29.5439 50.6493 30.8213 51.4644 32.2336 52.3566C33.8255 53.3605 35.8764 54.2672 38.3268 55.0496C40.8319 55.8508 43.3868 56.2577 45.9228 56.2577C48.4588 56.2577 51.0144 55.8508 53.5181 55.0503C55.9706 54.2665 58.0208 53.3605 59.6148 52.3552C61.0601 51.4415 62.3017 50.65 63.41 49.9349C63.9547 49.5843 64.2909 49.3941 64.4797 49.2948C66.0295 49.3358 67.4565 49.6079 68.727 50.105C70.0992 50.6424 71.2643 51.3596 72.1888 52.2344C73.177 53.1696 74.0727 54.3311 74.8511 55.6863C75.6674 57.1061 76.3258 58.5814 76.8073 60.0692C77.3105 61.6244 77.7338 63.3393 78.0651 65.1659C78.4006 67.0203 78.628 68.7629 78.7389 70.3459V70.3473C78.8533 71.9573 78.9109 73.6402 78.9116 75.3502C78.9109 78.6293 77.9745 81.105 76.0478 82.9185Z"
        fill={props.fill}
      />
    </svg>
  );
}

Profile.propTypes = {
  className: PropTypes.string,
  width: PropTypes.number,
  height: PropTypes.number,
};

Profile.defaultProps = {
  className: "mr-75",
  fill: "#6b7daa",
  width: 17,
  height: 17,
};
